Typescript (SDK)
import { Idalia } from "idalia";
const idalia = new Idalia({
apiKeyAuth: process.env["IDALIA_API_KEY_AUTH"] ?? "",
});
async function run() {
const result = await idalia.transportOrders.create();
console.log(result);
}
run();curl --request POST \
--url https://idalia.app/api/transport-orders \
--header 'Content-Type: application/json' \
--data '
[
{
"name": "<string>",
"reference": "<string>",
"number": "<string>",
"notes": "<string>",
"statusId": "<string>",
"projectId": "<string>",
"purchaseOrderId": "<string>",
"allocationOrderId": "<string>"
}
]
'import requests
url = "https://idalia.app/api/transport-orders"
payload = [
{
"name": "<string>",
"reference": "<string>",
"number": "<string>",
"notes": "<string>",
"statusId": "<string>",
"projectId": "<string>",
"purchaseOrderId": "<string>",
"allocationOrderId": "<string>"
}
]
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([
{
name: '<string>',
reference: '<string>',
number: '<string>',
notes: '<string>',
statusId: '<string>',
projectId: '<string>',
purchaseOrderId: '<string>',
allocationOrderId: '<string>'
}
])
};
fetch('https://idalia.app/api/transport-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"createdAt": "<string>",
"workspaceId": "<string>",
"name": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"reference": "<string>",
"number": "<string>",
"notes": "<string>",
"statusId": "<string>",
"projectId": "<string>",
"purchaseOrderId": "<string>",
"allocationOrderId": "<string>"
}
]{
"error": "Invalid request parameters",
"code": "400"
}{
"error": "An unexpected error occurred",
"code": "500"
}Transport-orders
Create transport orders
Create transport orders
POST
/
transport-orders
Typescript (SDK)
import { Idalia } from "idalia";
const idalia = new Idalia({
apiKeyAuth: process.env["IDALIA_API_KEY_AUTH"] ?? "",
});
async function run() {
const result = await idalia.transportOrders.create();
console.log(result);
}
run();Body
application/json
Name of the transport order
Reference code of the transport order
Transport order number
Notes
ID of the transport order status
ID of the project
ID of the purchase order
ID of the allocation order
Response
Successful response
ID of the transport order
Datetime the transport order was created
ID of the workspace the transport order belongs to
Name of the transport order
Datetime the transport order was last updated
ID of the user who created the transport order
Reference code of the transport order
Transport order number
Notes
ID of the transport order status
ID of the project
ID of the purchase order
ID of the allocation order
⌘I

